local denniz = jnr.getPlayerData "denniz"
local diana  = jnr.getPlayerData "diana"

return {
	anim = denniz.anim,
	__denniz = {
		anim = denniz.anim
	},
	__diana = {
		anim = diana.anim
	},
	init = function(self)
		local ts = self.tiles.ts
		local player = jnr.Player(self.x/ts, self.y/ts, self.z, self.__data.__diana)
		setmetatable(player, {__index = self})
		self.tiles:addObject(player)
		player.x = self.x + ts
		player.y = self.y
	end,
	color = colors.new(20, 140, 122),
	name = "The Switchers",
	desc = {
		colors.white, "Why play one of the P. Siblings if you can play both?\n",
		colors.red, "Disclaimer: Not balanced."
	}
}
