return {
	coll = "custom",
	prio = 11,
	colideX = function(obj, tiles, cx, cy, dt, xv, yv)
		local ts = tiles.ts
		if xv > 0 then
			obj.x = cx*ts-ts - obj.w
			obj.dir = 1
		else
			obj.x = cx*ts
			obj.dir = -1
		end

		obj.data.wall = true
		return 0, nil
	end,
	colideY = function(obj, tiles, cx, cy, dt, xv, yv)
		local ts = tiles.ts
		if obj.yv > 0 then
			obj.y = cy*ts-ts - obj.h
			obj.data.ground = true
		else
			obj.y = cy*ts
			obj.data.ceiling = true

			if yv < -70 then
				tiles:setTile(cx, cy, 0)
			end
		end

		if obj.data.water and not obj.pdata.water then obj.data.water = false end
		return nil, 0
	end
}
