-- Don't use this! There's no point!
local read = love.filesystem.read
local lines = love.filesystem.lines
local tonumber = tonumber

local filetable = {}

local function getvalueof(value)
	if value == "true" then
		return true
	elseif value == "false" then
		return false
	elseif tonumber(value) then
		return tonumber(value)
	elseif value:find("^\".*\"$") then
		return value:sub(2, #value-1):gsub("\\n", "\n")
	end
end

function filetable.get(file, key)
	local value = ("\n"..read(file).."\n"):match("[\r\n]"..key.."%s*=%s*(.-)[\r\n]")
	if value then
		return getvalueof(value)
	else
		return nil
	end
end

local function load(file)
	local table = {}
	for line in lines(file) do
		local key, value = line:match("^(.-)%s*=%s*(.*)$")
		if key and value then
			table[key] = getvalueof(value)
		end
	end
	return table
end
filetable.load = load

local required = {}
filetable.required = required

function filetable.require(file)
	if required[file] then
		return required[file]
	else
		local new = load(file)
		required[file] = new
		return new
	end
end

return filetable
