-- Allows adding particles to any particle spawning
-- Yeah, makes for some fun things...

local Particle = require "jnr.particle"

Particle.base.__spawn = Particle.base.spawn

local extra = {}

function Particle.base:spawn(id, n, x, y, xo, yo, ...)
	self:__spawn(id, n, x, y, xo, yo, ...)
	for i=1, #extra do
		self:__spawn(extra[i], n, x, y, xo, yo)
	end
end

return extra
