uniform vec4 from = vec4(0);
uniform vec4 to   = vec4(0);
uniform float TIME  = 0;
uniform float SCALE = 0;
uniform float X = 0;
uniform float Y = 0;

vec4 effect(vec4 vcolor, Image texture, vec2 texcoord, vec2 pixel_coords) {
	vec4 orig = Texel(texture, texcoord)*vcolor;

	if (orig.r >= from.r && orig.g >= from.g && orig.b >= from.b && orig.a >= from.a && orig.r <= to.r && orig.g <= to.g && orig.b <= to.b && orig.a <= to.a) {
		float a = distance(orig, from);
		float b = distance(orig, to);
		return ( from*(b/(a+b))+to*(a/(a+b)) ) * vec4(vec3( sin(TIME*0.5 + sin( floor(pixel_coords.y/SCALE+Y)*0.75 + sin(TIME) + sin( floor(pixel_coords.x/SCALE+X)*0.2 + sin(TIME*2) ) ) )*0.15+0.85 ), 1);
	}
	else return orig;
}
