function love.conf(t)
	-- Main settings
	_gameTitle = "DPlox Parkour 2"
	_gameVersion = "0.1.10"
	_gameIdentity = "DPloxParkour2"
	t.identity = _gameIdentity
	t.appendidentity = true

	-- Run in demo mode.
	-- Either the area with which to replace the end or 'false'.
	_demo = 2
	if _demo then _gameTitle = _gameTitle.." [Demo]" end

	t.window = false
	t.gammacorrect = true

	t.version = "0.10.2"
	t.accelerometerjoystick = false

	t.modules.physics = false
	t.modules.video = false
	t.modules.touch = false

	-- Argument processing
	if type(arg) == "table" then
		local args = {}
		for i,v in ipairs(arg) do
			local _,p = v:find("^.+%=.")
			if p ~= nil then
				local value = v:sub(p,#v)
				local asnum = tonumber(value)
				if asnum ~= nil then value = asnum
				elseif value == "true" then value = true
				elseif value == "false" then value = false end
				args[v:sub(1,p-2)] = value
			else
				args[v] = true
			end
		end

		if type(args.srgb) == "boolean" then t.gammacorrect = args.srgb end
		if args.debug ~= nil then _startup = t end

		_arg = args
	else
		_arg = {}
	end
end
