--[[
>> Default Character <<
Inherits almost all information from 'player.lua'.
]]

return {
	anim = anim.newHeader(assets.image("assets/char/denniz.png"), 11, 19)
		:setQuad(4, 4, 2, 1)
		:reg("idle" , 1, 1, 2, 4, true)
		:spc("walk" , {4,1, 1,1, 5,1, 6,1, 1,1, 3,1}, 22, true)
		:reg("duck" , 4, 3, 1, 1, false)
		:spc("crawl", {5,3, 4,3, 6,3, 4,3}, 12, true)
		:reg("slide", 3, 4, 2, 20, false)
		:reg("jump" , 7, 3, 1, 1, false)
		:reg("jumpf", 6, 4, 1, 1, false)
		:reg("jumpb", 7, 4, 1, 1, false)
		:spc("jumpd", {1,2, 2,2,3,2,4,2,5,2,6,2,7,2, 1,2}, 20, false)
		:reg("wall" , 1, 3, 1, 1, false)
		:spc("wallrun", {2,3, 1,3, 3,3, 1,3}, 12, true)
		:reg("dead" , 1, 4, 1, 1, false)
		:reg("deadg", 2, 4, 1, 1, false)
		:spc("push" , {3,5, 1,5, 4,5, 5,5, 1,5, 2,5}, 12, true)
		:reg("swim" , 1, 6, 1, 1, false)
		:reg("swim2", 2, 6, 3, 12, false)
		:reg("attack", 6, 5, 3, 20, false),
	color = colors.new(40, 190, 10),
	name = "Denniz P.",
	desc = "Aged 17.\nHe's pretty average. He can jump, double-jump, wall-jump...\nBasically everything anybody else can in this game."
}
